Name:           tdnf
Version:        2.0.0
Release:        0.1%{?dist}
Summary:        dnf/yum equivalent using C libs
Vendor:         VMware, Inc.
License:        LGPLv2.1,GPLv2
Url:            http://www.vmware.com

Requires:       rpm-libs
Requires:       libcurl
Requires:	libsolv

BuildRequires:  rpm-devel
BuildRequires:  libsolv-devel
BuildRequires:  libcurl-devel

Provides:       yum
Provides:	tyum
Provides:	dnf
Provides:	tdnf

Source0:        %{name}-%{version}.tar.gz

%description
tdnf is a yum/dnf equivalent
which uses libsolv

%package    	devel
Summary:    	A Library providing C API for tdnf
Requires: 	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for tdnf

%package	cli-libs
Summary:	Library providing cli libs for tdnf like clients

%description cli-libs
Library providing cli libs for tdnf like clients.

%prep
%autosetup -n %{name}-%{version} -p1

%build
#autoreconf -fiv
%configure \
    --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

mkdir -p %{buildroot}/var/cache/tdnf

ln -sf %{_bindir}/tdnf %{buildroot}%{_bindir}/tyum
ln -sf %{_bindir}/tdnf %{buildroot}%{_bindir}/yum
ln -sf %{_bindir}/tdnf %{buildroot}%{_bindir}/dnf

%files
    %{_bindir}/yum
    %{_bindir}/tyum
    %{_bindir}/dnf
    %{_bindir}/tdnf
    %{_libdir}/*.so.*
    %config(noreplace) %{_sysconfdir}/tdnf/tdnf.conf
    %dir %{_var}/cache/tdnf

%files devel
    %{_includedir}/tdnf/*.h
    %{_libdir}/*.so
    %{_libdir}/pkgconfig/tdnf.pc
    %{_libdir}/pkgconfig/tdnf-cli-libs.pc

%files cli-libs
    %{_libdir}/libtdnfcli.so.*

%changelog
*   Wed Feb 14 2018 David Abdurachmanov <david.abdurachmanov@gmail.com> 2.0.0-0.1
-   First version, temporary package until we can have dnf
